bernoulli_logit_rng.hpp File Reference
`#include <boost/random/bernoulli_distribution.hpp>`
`#include <boost/random/variate_generator.hpp>`
`#include <stan/math/prim/scal/err/check_consistent_sizes.hpp>`
`#include <stan/math/prim/scal/err/check_bounded.hpp>`
`#include <stan/math/prim/scal/err/check_finite.hpp>`
`#include <stan/math/prim/scal/err/check_not_nan.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/fun/inv_logit.hpp>`
`#include <stan/math/prim/scal/fun/log1m.hpp>`
`#include <stan/math/prim/scal/fun/value_of.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<class RNG >
int | stan::math::bernoulli_logit_rng (double t, RNG &rng)
| A Bernoulli random number generator which takes as its argument the often more convenient logit-parametrization. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.